Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atomikos.icatch.trmi
Class UserTransactionServiceFactory

    java.lang.Object
      com.atomikos.icatch.config.imp.AbstractUserTransactionServiceFactory
          com.atomikos.icatch.trmi.UserTransactionServiceFactory

All Implemented Interfaces:
  UserTransactionServiceFactory

    public final class UserTransactionServiceFactory

extends AbstractUserTransactionServiceFactory
implements UserTransactionServiceFactory

Copyright © 2001, Atomikos. All rights reserved. A facade class for the Trmi TM framework. Allows easy integration of the trmi TM (standalone) in applications.

Field Summary
`static String` | `LOCAL_ENDPOINTS_PORT_PROPERTY_NAME` The name of the property indicating what local port the SOAP endpoints are to be exported on.
`static String` | `SECURE_HTTP_PROPERTY_NAME` The name of the property that specifies whether or not HTTPS should be used.
`static String` | `SOAP_COMMIT_PROTOCOLS_PROPERTY_NAME` The name of the property indicating what SOAP commit protocols to enable.
`static String` | `SOAP_HOST_ADDRESS_PROPERTY_NAME` The name of the property indicating the SOAP host address where this transaction manager is listening.
`static String` | `SOAP_PORT_PROPERTY_NAME` The name of the property indicating what TCP port the SOAP service is listening on.
`static String` | `TRUST_CLIENT_TM_PROPERTY_NAME` The name of the property that specifies whether or not a client transaction manager can be trusted to terminate heuristic problems.

Fields inherited from class com.atomikos.icatch.config.imp.AbstractUserTransactionServiceFactory
`AUTOMATIC_RESOURCE_REGISTRATION_PROPERTY_NAME, CHECKPOINT_INTERVAL_PROPERTY_NAME, CLIENT_DEMARCATION_PROPERTY_NAME, CONSOLE_FILE_COUNT_PROPERTY_NAME, CONSOLE_FILE_LIMIT_PROPERTY_NAME, CONSOLE_FILE_NAME_PROPERTY_NAME, CONSOLE_LOG_LEVEL_PROPERTY_NAME, DEFAULT_JTA_TIMEOUT_PROPERTY_NAME, ENABLE_LOGGING_PROPERTY_NAME, JNDI_INITIAL_CONTEXT_FACTORY_PROPERTY_NAME, JNDI_PROVIDER_URL_PROPERTY_NAME, LOG_BASE_DIR_PROPERTY_NAME, LOG_BASE_NAME_PROPERTY_NAME, MAX_ACTIVES_PROPERTY_NAME, MAX_TIMEOUT_PROPERTY_NAME, OUTPUT_DIR_PROPERTY_NAME, REGISTER_SHUTDOWN_HOOK_PROPERTY_NAME, RMI_EXPORT_CLASS_PROPERTY_NAME, SERIAL_JTA_TRANSACTIONS_PROPERTY_NAME, THREADED_2PC_PROPERTY_NAME, TM_UNIQUE_NAME_PROPERTY_NAME`

Constructor Summary
`UserTransactionServiceFactory()`

Method Summary
`UserTransactionService` | `getUserTransactionService(Properties properties)` Get the UserTransactionManager instance for the configuration.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SOAP_COMMIT_PROTOCOLS_PROPERTY_NAME

    public static final String SOAP_COMMIT_PROTOCOLS_PROPERTY_NAME

  The name of the property indicating what SOAP commit protocols to enable. Expands to "com.atomikos.icatch.soap_commit_protocols".

  See Also:
    Constant Field Values

### SOAP_HOST_ADDRESS_PROPERTY_NAME

    public static final String SOAP_HOST_ADDRESS_PROPERTY_NAME

  The name of the property indicating the SOAP host address where this transaction manager is listening. Expands to "com.atomikos.icatch.soap_host_address".

  See Also:
    Constant Field Values

### SOAP_PORT_PROPERTY_NAME

    public static final String SOAP_PORT_PROPERTY_NAME

  The name of the property indicating what TCP port the SOAP service is listening on. If you are using some form of tunneling then you will need to set this to the publicly visible port on the machine that forwards request to the actual service. Expands to "com.atomikos.icatch.soap_port".

  See Also:
    Constant Field Values

### LOCAL_ENDPOINTS_PORT_PROPERTY_NAME

    public static final String LOCAL_ENDPOINTS_PORT_PROPERTY_NAME

  The name of the property indicating what local port the SOAP endpoints are to be exported on. If you are using some form of tunneling then you will need to set this to the local port on the machine where the service is running. Expands to "com.atomikos.icatch.local_endpoints_port".

  See Also:
    Constant Field Values

### TRUST_CLIENT_TM_PROPERTY_NAME

    public static final String TRUST_CLIENT_TM_PROPERTY_NAME

  The name of the property that specifies whether or not a client transaction manager can be trusted to terminate heuristic problems. Expands to "com.atomikos.icatch.trust_client_tm".

  See Also:
    Constant Field Values

### SECURE_HTTP_PROPERTY_NAME

    public static final String SECURE_HTTP_PROPERTY_NAME

  The name of the property that specifies whether or not HTTPS should be used. Expands to "com.atomikos.icatch.https".

  See Also:
    Constant Field Values

Constructor Detail

### UserTransactionServiceFactory

    public UserTransactionServiceFactory()

Method Detail

### getUserTransactionService

    public UserTransactionService getUserTransactionService(Properties properties)

  Get the UserTransactionManager instance for the configuration.

  Specified by:
    `getUserTransactionService` in interface `UserTransactionServiceFactory`
  Parameters:
    `properties` - The specified properties.
  Returns:
    UserTransactionManager The UserTransactionManager

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012. All Rights Reserved.